Skip to main content
POST
/
v1
/
accounts
/
{account_id}
/
users
Create User
curl --request POST \
  --url https://api.fireworks.ai/v1/accounts/{account_id}/users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role": "<string>",
  "displayName": "<string>",
  "serviceAccount": true,
  "email": "<string>",
  "permissionPreset": "<string>"
}
'
{
  "role": "<string>",
  "name": "<string>",
  "displayName": "<string>",
  "serviceAccount": true,
  "createTime": "2023-11-07T05:31:56Z",
  "email": "<string>",
  "state": "STATE_UNSPECIFIED",
  "status": {
    "code": "OK",
    "message": "<string>"
  },
  "updateTime": "2023-11-07T05:31:56Z",
  "permissionPreset": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication using your Fireworks API key. Format: Bearer <API_KEY>

Path Parameters

account_id
string
required

The Account Id

Query Parameters

userId
string

The user ID to use in the user name. e.g. my-user If not specified, a default ID is generated from user.email.

Body

application/json

The properties of the user being created.

role
string
required

The user's role: admin, user, contributor, inference-user, or custom. When set to "custom", the user's permissions are governed by permission_preset.

displayName
string

Human-readable display name of the user. e.g. "Alice" Must be fewer than 64 characters long.

serviceAccount
boolean
email
string

The user's email address.

permissionPreset
string

The permission preset for this user. Only valid when role is "custom".

Response

200 - application/json

A successful response.

role
string
required

The user's role: admin, user, contributor, inference-user, or custom. When set to "custom", the user's permissions are governed by permission_preset.

name
string
displayName
string

Human-readable display name of the user. e.g. "Alice" Must be fewer than 64 characters long.

serviceAccount
boolean
createTime
string<date-time>

The creation time of the user.

email
string

The user's email address.

state
enum<string>
default:STATE_UNSPECIFIED

The state of the user.

Available options:
STATE_UNSPECIFIED,
CREATING,
READY,
UPDATING,
DELETING
status
Mimics [https://github.com/googleapis/googleapis/blob/master/google/rpc/status.proto] · object

Contains information about the user status.

updateTime
string<date-time>

The update time for the user.

permissionPreset
string

The permission preset for this user. Only valid when role is "custom".